# convert::to-int

[This is preliminary documentation and subject to change.]

(Deprecated)

Converts the argument to an integer.

### Usage

`int convert::to-int(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | int | value to be converted

### Return Value

value converted to integer. The function fails with an exception when the conversion is not possible.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)